Saltar al contenido
CatálogoColecciones

Exportar colecciones

Exporta las colecciones mediante una tarea; el archivo se descarga al terminar.

Parámetros de cabecera

x-Store-Id?string

Tienda sobre la que actúa la solicitud. No hace falta cuando el token ya está vinculado a una tienda.

Authorization*string

Token bearer OAuth 2.0.

Cuerpo de la solicitud

application/json

Definiciones TypeScript

Usa esta definición en TypeScript.

Cuerpo de la respuesta

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/collections/exports" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "format": "csv",    "search": "polo",    "collectionIds": [      "7204558912004326958"    ],    "status": [      "draft"    ],    "excludeStatus": [      "draft"    ],    "type": [      "static"    ],    "excludeType": [      "static"    ],    "template": false  }'
{  "id": "7204558912004321909",  "status": "pending",  "resource": "collections",  "format": "csv",  "createdOn": "2026-09-28T15:30:00Z"}